import React from "react"
import { useEffect } from "react"
import genDownloadLink from "../functions/genDownloadLink"
import { FileOpenerProps } from "../types/FileOpenerProps"

const AudioOpener: React.FC<FileOpenerProps> = (props) => {

	let audio: HTMLAudioElement

	useEffect(()=>{
		if (audio){
			audio.pause()
			audio.remove()
		}

		audio = new Audio(genDownloadLink(props.file.id))
		audio.volume = 0.1
	},[props.file])

	useEffect(()=>{
		if(!props.active){
			audio.pause
			console.debug("Pause")
		}
		console.debug("active",props.active)
	},[props.active])

	return (
		<div>
			<button onClick={()=>{
				if (audio){
					(audio.paused && audio.play()) || audio.pause()
				}
			}}>
				Play/Pause
			</button>
		</div>
	)
}

export default AudioOpener
